Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.spi
Interface UserContext

All Known Implementing Classes:
  AbstractUserContext

    public interface UserContext

The user context valid during the scope of a single request.

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attrKey)` Returns an attribute related to the user identity.
`java.lang.String` | `getId()` Retrieves the user id or null if it is not known.
`java.util.Map<java.lang.String,java.lang.String>` | `getInformations()` The user profile information keyed by P3PConstants
`java.util.Locale` | `getLocale()` Return the user locale.
`java.util.List<java.util.Locale>` | `getLocales()` Retrieves the locales that the user is willing to receive information in.
`void` | `setAttribute(java.lang.String attrKey, java.lang.Object attrValue)` Set an attribute related to the user identity.

Method Detail

### getId

    java.lang.String getId()

  Retrieves the user id or null if it is not known.

  Returns:
    the user id

### getInformations

    java.util.Map<java.lang.String,java.lang.String> getInformations()

  The user profile information keyed by P3PConstants

  Returns:
    a map containing user profile informaton
  See Also:
    `org.jboss.portal.common.p3p.P3PConstants`

### getLocale

    java.util.Locale getLocale()

  Return the user locale.

  Returns:
    the user locale.

### getLocales

    java.util.List<java.util.Locale> getLocales()

  Retrieves the locales that the user is willing to receive information in.

  Returns:
    the locales ordered according to user preference (preferred first).

### setAttribute

    void setAttribute(java.lang.String attrKey,
                      java.lang.Object attrValue)

  Set an attribute related to the user identity.

  Parameters:
    `attrKey` - the attribute key
    `attrValue` - the attribute value

### getAttribute

    java.lang.Object getAttribute(java.lang.String attrKey)

  Returns an attribute related to the user identity.

  Parameters:
    `attrKey` - the attribute key
  Returns:
    the attribute value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.